Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class SingletonIterator

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.dom.NodeIteratorBase
            |
            +--org.apache.xalan.xsltc.dom.SingletonIterator

public class SingletonIterator
extends NodeIteratorBase

Constructor Summary
`SingletonIterator()`
`SingletonIterator(int node)`
`SingletonIterator(int node, boolean constant)`

Method Summary
`void` | `gotoMark()`
`int` | `next()`
`NodeIterator` | `reset()`
`void` | `setMark()`
`NodeIterator` | `setStartNode(int node)` Override the value of `_node` only when this object was constructed using the empty constructor.

Methods inherited from class org.apache.xalan.xsltc.dom.NodeIteratorBase
`cloneIterator, getLast, getPosition, includeSelf, isReverse, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingletonIterator

    public SingletonIterator()

### SingletonIterator

    public SingletonIterator(int node)

### SingletonIterator

    public SingletonIterator(int node,
                             boolean constant)

Method Detail

### setStartNode

    public NodeIterator setStartNode(int node)

  Override the value of `_node` only when this object was constructed using the empty constructor.
  Overrides:
    setStartNode in class NodeIteratorBase

### reset

    public NodeIterator reset()

  Overrides:
    reset in class NodeIteratorBase

### next

    public int next()

### setMark

    public void setMark()

### gotoMark

    public void gotoMark()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.